%global pypi_name dataclasses

Name:           python-%{pypi_name}
Version:        0.7
Release:        1%{?dist}
Summary:        Backport of the dataclasses module for Python 3.6

License:        Apache
URL:            https://github.com/ericvsmith/dataclasses
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)

%global _description %{expand:
This is an implementation of PEP 557, Data Classes. It is a backport for Python
3.6. Because dataclasses will be included in Python 3.7, any discussion of
dataclass features should occur on the python-dev mailing list at
https://mail.python.org/mailman/listinfo/python-dev. At this point this repo
should only be used for historical purposes (it's where the original dataclasses
discussions took place) and for discussion of the actual backport to Python 3.6.}

%description %{_description}


%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%?python_enable_dependency_generator

%description -n python3-%{pypi_name} %{_description}


%prep
%autosetup -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info


%build
%py3_build


%install
%py3_install


%check
%{__python3} setup.py test


%files -n python3-%{pypi_name}
%license LICENSE.txt
%doc README.rst
%{python3_sitelib}/__pycache__/*
%{python3_sitelib}/%{pypi_name}-%{version}-py*.egg-info
%{python3_sitelib}/%{pypi_name}.py


%changelog
* Fri Feb 21 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 0.7-1
- Initial package